
$(function(){

    // set archive icons for all offline items
    $(document).ajaxComplete(function(event, xhr, settings) {
        if (settings.url.indexOf("page") >= 0) {
            try {
                var data = JSON.parse(xhr.responseText);
            } catch (err) {
                return false;
            }
            data.objects.forEach(function(item){
                jQuery.get('/cparchiveapp/archivestatus', {'item_id': item.itemId }, function(data) {
                    if (data == 'Offline') {
                        $("#" + item.itemId).css({background: "url(/sitemedia/img/Archived.png)"});
                    }
                });
            })
        }
    });

});

function archiveBBB(task) {
    var selected_item_ids;
    var ignored_item_ids;
    var search_id;
    var library_id;
    var type = "items";
    var view = cntmo.app.page.searchresults;
    var collection_view = cntmo.app.page.collectionitemresults;


    if (view !== undefined) {
        selected_item_ids = view.getSelectedItemIds();
        ignored_item_ids = view.getIgnoredItemIds();
        search_id = view.search_id_selected;
        library_id = view.library_id_selected;
    } else if (collection_view !== undefined) {
        selected_item_ids = collection_view.getSelectedItemIds();
        ignored_item_ids = collection_view.getIgnoredItemIds();
        library_id = collection_view.library_selected;
        type = "collections";
    } else {
        var arr = $(".infocheckbox:checked").getCheckboxVal();
        selected_item_ids = new Array();
        for ( var i = 0; i < arr.length; ++i) {
            selected_item_ids.push(arr[i]);
        }
    }

    try {
        selected_item_ids = selected_item_ids.join();
    } catch (err) {
        selected_item_ids = "";
    }

    try {
        ignored_item_ids = ignored_item_ids.join();
    } catch (err) {
        ignored_item_ids = "";
    }

    console.log('selected_item_ids: '+ selected_item_ids);
    console.log('ignored_item_ids: ' + ignored_item_ids);
    console.log('search_id: ' + search_id);
    console.log('library_id: ' + library_id);
    console.log('force: ' + task);
    console.log('type: ' + type);

    jQuery.post('/cparchiveapp/send_to_archive/', { 'selected_item_ids': selected_item_ids,
                                     'ignored_item_ids': ignored_item_ids,
                                     'search_id': search_id,
                                     'library_id': library_id,
                                     'force': task,
                                     'type': type },
                function(data) {
                    $.growl(data, "success");
                }
    );

    return false;
}